商品详情
GET /app/laiyipiao/food/goods-detail上游对应:
interfaceCode=getGoodsDetail
| 字段 | 名称 | 类型 | 必填 |
|---|---|---|---|
| brand | 品牌标识 | string | 是 |
| storeCode | 门店编码 | string | 是 |
| itemNo | 商品编号 | string | 是 |
| 字段 | 名称 | 类型 |
|---|---|---|
| data.title | 商品名 | string |
| data.itemNo | 商品编号 | string |
| data.specItems | 规格维度 | array |
| data.litimgUrl | 列表图 | string |
| data.detailImgUrl | 详情图 | string |
| data.sellingPoints | 卖点 | string/null |
| data.skuNum | SKU数量 | number |
| data.skuCombinList | SKU组合列表 | array |
| data.defaultSku | 默认SKU | object/null |
| data.firstSku | 首个SKU | object |
specItems[]
Section titled “specItems[]”| 字段 | 名称 | 类型 |
|---|---|---|
| specItemNo | 规格项编码 | string |
| specItemName | 规格项名称 | string |
| specValueList[] | 取值列表 | array |
| specValueList[].name | 取值名 | string |
| specValueList[].value | 取值编码 | string |
| specValueList[].recommendFlag | 推荐标记 | int |
skuCombinList[]
Section titled “skuCombinList[]”| 字段 | 名称 | 类型 |
|---|---|---|
| skuNo | SKU编码 | string |
| skusSpecs[] | SKU规格明细 | array |
| skusSpecs[].specItemValue | 规格项值编码 | string |
| skusSpecs[].specItemValueName | 规格项值名称 | string |
| skusSpecs[].specItemNo | 规格项编码 | string |
| skusSpecs[].specItemName | 规格项名称 | string |
| skuName | SKU名称 | string |
| sellPrice | 销售价 | number |
| standardPrice | 标准价 | number |
| amount | 结算价 | number |
商品详情价格返回前会加技术服务费(按品牌费率)。
{ "code": 0, "data": { "detail": { "title": "橙C美式", "itemNo": "SP2404", "specItems": [ { "specItemNo": "cupType", "specItemName": "杯型", "specValueList": [ { "name": "大杯16oz", "value": "1", "recommendFlag": 2 } ] }, { "specItemNo": "temperature", "specItemName": "温度", "specValueList": [ { "name": "冰", "value": "1", "recommendFlag": 1 }, { "name": "热", "value": "2", "recommendFlag": 2 } ] } ], "skuNum": 6, "skuCombinList": [ { "skuNo": "SP2404-00007", "skusSpecs": [ { "specItemValue": "1", "specItemValueName": "大杯16oz", "specItemNo": "cupType", "specItemName": "杯型" }, { "specItemValue": "1", "specItemValueName": "冰", "specItemNo": "temperature", "specItemName": "温度" } ], "skuName": "橙C美式-大杯16oz-冰-金奖深烘-标准-原味糖-不额外加糖(中甜)-不含", "sellPrice": 30.45, "standardPrice": 30.45, "amount": 9.3 } ], "defaultSku": null, "firstSku": { "skuNo": "SP2404-00007", "skuName": null, "sellPrice": 30.45, "standardPrice": 30.45, "amount": 9.3 } } }, "msg": "success"}